#!/bin/bash
# connects to the telnet console of the application for the specified service of the current project
# For docker 1.12 and compose 1.9 (and higher) assume project is assigned to a network 
#  named "${project}_default" per SSDT templates.

source "${SSDT_SCRIPTS:-$(dirname "${BASH_SOURCE[0]}")}/.functions.sh"

container=$(composeGetContainer ${1?"Must specify the app service of the console to connect to"} )

ip=$(docker inspect -f '{{.NetworkSettings.IPAddress}}' $container)

if [ "$ip" == "" ]
then
   project=$(composeGetProject ${1} )
   ip=$(docker inspect -f "{{with  .NetworkSettings.Networks}}{{.${project}_default.IPAddress}}{{end}}" $container)
fi

if [ "$project" == "" ]
then 
  docker run -it -v ${PWD}:/tmp  -v ${SSDT_HOME}:/ssdt --rm docker.ssdt.io/ssdt-utils telnet $ip 2000 | tee console.log
else
  echo "connecting to telnet console on ${container} in ${project}"
  docker run -it --network ${project}_default --rm docker.ssdt.io/ssdt-utils telnet $ip 2000 | tee console.log
fi

